Start, edit, submit, approve, reject or discard a studio draft
curl --request POST \
--url https://api.semicola.com/api/v2/storefront/proposal-studio \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rfpId": "<string>",
"turnId": "<string>",
"draftId": "<string>",
"products": [
{
"productId": "<string>",
"price": 123
}
],
"allocations": [
{
"productId": "<string>",
"percentage": 50,
"rationale": "<string>"
}
],
"note": "<string>"
}
'import requests
url = "https://api.semicola.com/api/v2/storefront/proposal-studio"
payload = {
"rfpId": "<string>",
"turnId": "<string>",
"draftId": "<string>",
"products": [
{
"productId": "<string>",
"price": 123
}
],
"allocations": [
{
"productId": "<string>",
"percentage": 50,
"rationale": "<string>"
}
],
"note": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rfpId: '<string>',
turnId: '<string>',
draftId: '<string>',
products: [{productId: '<string>', price: 123}],
allocations: [{productId: '<string>', percentage: 50, rationale: '<string>'}],
note: '<string>'
})
};
fetch('https://api.semicola.com/api/v2/storefront/proposal-studio', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"state": "ok",
"storefrontId": 123,
"canEdit": true,
"rfpId": "<string>",
"turnId": "<string>",
"source": {
"proposalName": "<string>",
"disposition": "<string>"
},
"draft": {
"draftId": "<string>",
"status": "draft",
"composerName": "<string>",
"approverName": "<string>",
"submittedAt": "2023-11-07T05:31:56Z",
"decidedAt": "2023-11-07T05:31:56Z",
"note": "<string>",
"currency": "<string>",
"totalBudget": 123,
"products": [
{
"productId": "<string>",
"name": "<string>",
"pricingOptionId": "<string>",
"price": 123,
"floor": 123,
"currency": "<string>"
}
],
"allocations": [
{
"productId": "<string>",
"percentage": 50,
"role": "<string>",
"rationale": "<string>"
}
],
"problems": [
"<string>"
],
"resultTurnId": "<string>"
},
"canApprove": true,
"stateMessage": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": "<unknown>"
}
}Proposals
Start, edit, submit, approve, reject or discard a studio draft
POST
/
api
/
v2
/
storefront
/
proposal-studio
Start, edit, submit, approve, reject or discard a studio draft
Authorizations
bearerAuthsessionCookie
API key or OAuth access token.
Body
application/json
Available options:
start, update, submit, approve, reject, discard Minimum string length:
1Minimum string length:
1Maximum array length:
20Show child attributes
Show child attributes
Maximum array length:
20Show child attributes
Show child attributes
Maximum string length:
4000